MoneyDance will not start (Again)

cscj01's Avatar

cscj01

16 Jan, 2022 04:43 AM

I have Ubuntu 20.04.3 x64 and the latest version of MD (although I can't tell you what it is because it will not start). When I start from a terminal, I get the following:

/bin/sh "/opt/Moneydance/Moneydance"
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007f6b0c1f20c0, pid=40011, tid=40124
#
# JRE version: OpenJDK Runtime Environment Zulu17.30+15-CA (17.0.1+12) (build 17.0.1+12-LTS)
# Java VM: OpenJDK 64-Bit Server VM Zulu17.30+15-CA (17.0.1+12-LTS, mixed mode, sharing, tiered, compressed oops, compressed class ptrs, g1 gc, linux-amd64)
# Problematic frame:
# V  [libjvm.so+0x15e20c0]
#
# Core dump will be written. Default location: Core dumps may be processed with "/usr/share/apport/apport %p %s %c %d %P %E" (or dumping to /opt/Moneydance/core.40011)
#
# An error report file with more information is saved as:
# /tmp/hs_err_pid40011.log
[thread 40128 also had an error][thread 40125 also had an error][thread 40123 also had an error]


[thread 40127 also had an error]
#
# If you would like to submit a bug report, please visit:
#   http://www.azul.com/support/
#
Aborted (core dumped)

I have attached the error report file.

  1. Support Staff 1 Posted by Ethan on 16 Jan, 2022 03:47 PM

    Ethan's Avatar

    To clarify, was this version previously working for you and this error just happened, or is this a new install that has never run successfully?

    Can you try reinstalling the latest preview version (http://infinitekind.com/preview) and let us know if the problem persists?

    Ethan
    Infinite Kind Support

  2. 2 Posted by cscj01 on 16 Jan, 2022 05:38 PM

    cscj01's Avatar

    Moneydance had been working properly before this error.  I believe I had
    some updates to Ubuntu the day before this happened.  I also believe I
    was at the same version as the one I just downloaded and installed
    (reinstalled according to the system).  The program launches properly
    after the download and install.

    I may be mistaken, but I believe this has happened before after a system
    update.  To clarify, I am not saying the version of the system was
    updated.  I am saying that some components required updating.  Could
    something associated with a system component (Java, for example?) being
    updated cause Moneydance to not start?  Were you able to see anything
    that might give you a clue from the information that I submitted?

    In any case, thanks for getting on this so quickly.

  3. Support Staff 3 Posted by Ethan on 16 Jan, 2022 07:02 PM

    Ethan's Avatar

    Those kinds of updates on Linux systems shouldn't affect recent versions of the program. Moneydance requires Java to run, but has been bundled with its own version of it the last few years to try to prevent issues like this from happening. It's strange that you would get a JRE error like this, since system updates shouldn't touch Moneydance's version of that. Sometimes when people do things like trying to have Moneydance run off of a different JRE, like the one you may have installed on your system for other programs, errors like these can happen. That's the main reason I suggested reinstalling, which would have reset that kind of customization, and repaired anything that could have happened to Moneydance's JRE.

    I can't really speculate more beyond that with the information you've provided. If it happens again, we can try to dig deeper (since again this shouldn't be happening at all), perhaps by comparing whatever logs you have then, and maybe figuring out exactly what you have updated that may be causing this.

    Ethan
    Infinite Kind Support

  4. 4 Posted by cscj01 on 17 Jan, 2022 04:53 AM

    cscj01's Avatar

    Thanks for your reply.  Can you tell by what I sent if Moneydance is
    using your JRE or Ubuntu's JRE?  I know OpenJDK appeared in the messages
    I received when Moneydance failed to start, and OpenJDK is the JRE for
    Ubuntu.  Is there some file that tells Moneydance which JRE to use?

  5. 5 Posted by dwg on 17 Jan, 2022 07:23 AM

    dwg's Avatar

    I'm a fellow user.

    As far as I am aware Moneydance will only look at its internal libraries for Java.

  6. 6 Posted by bschottmi on 17 Jan, 2022 01:10 PM

    bschottmi's Avatar

    I had this same problem and it was fixed by clearing out old, invalid extensions that were using an old JRE.
    Please see this post:
    https://infinitekind.tenderapp.com/discussions/problems/75150-java-...

  7. System closed this discussion on 18 Apr, 2022 01:20 PM.

  8. cscj01 re-opened this discussion on 16 May, 2022 06:53 PM

  9. 7 Posted by cscj01 on 16 May, 2022 07:00 PM

    cscj01's Avatar

    So the old problem is back again. I tried to start MD from a terminal after it failed to start from the menu. Here is the output:

    
    /bin/sh "/opt/Moneydance/Moneydance"
    architecture: intel64 (from string: amd64)
    
    #####################################################################
    toolbox: toolbox_init.py initializer script running - doing nothing - will exit....
    #####################################################################
    
    
    #
    # A fatal error has been detected by the Java Runtime Environment:
    #
    #  SIGSEGV (0xb) at pc=0x00007f19fba78404, pid=83765, tid=83881
    #
    # JRE version: OpenJDK Runtime Environment Temurin-18.0.1+10 (18.0.1+10) (build 18.0.1+10)
    # Java VM: OpenJDK 64-Bit Server VM Temurin-18.0.1+10 (18.0.1+10, mixed mode, sharing, tiered, compressed oops, compressed class ptrs, g1 gc, linux-amd64)
    # Problematic frame:
    # V  [libjvm.so+0xb67404][thread 83877 also had an error]
      markWord::displaced_mark_helper() const+0x14
    #
    # Core dump will be written. Default location: Core dumps may be processed with "/usr/share/apport/apport %p %s %c %d %P %E" (or dumping to /opt/Moneydance/core.83765)
    #
    # An error report file with more information is saved as:
    # /tmp/hs_err_pid83765.log
    [thread 83878 also had an error][thread 83875 also had an error][thread 83880 also had an error][thread 83876 also had an error]
    
    
    
    #
    # If you would like to submit a bug report, please visit:
    #   https://github.com/adoptium/adoptium-support/issues
    #
    Aborted (core dumped)
    
  10. 8 Posted by cscj01 on 16 May, 2022 07:08 PM

    cscj01's Avatar

    BTW, I have attached the log file here.

  11. 9 Posted by Stuart Beesley ... on 16 May, 2022 07:10 PM

    Stuart Beesley (Mr Toolbox)'s Avatar

    Did you try clearing out the extensions again?

  12. 10 Posted by Stuart Beesley ... on 16 May, 2022 07:10 PM

    Stuart Beesley (Mr Toolbox)'s Avatar

    Try running MD from terminal using -d parameter too

  13. 11 Posted by cscj01 on 16 May, 2022 08:42 PM

    cscj01's Avatar

    Yes it was running previously. I installed the latest preview version (2022.4 (4078)), and it started fine. I am not sure, but I thought I had the latest version. However, since it did not start, and I did not remember the version, I may not have. For whatever reason, things seem to be working now.

    BTW, I am still on Ubuntu 20.04.4 x64.

    This seems to happen ever so often. Installing the latest release seems to take care of the problem. Anyone have any ideas why that may be?

    Thanks for the help.

Reply to this discussion

Internal reply

Formatting help / Preview (switch to plain text) No formatting (switch to Markdown)

Attaching KB article:

»

Already uploaded files

  • hs_err_pid40011.log 250 KB

Attached Files

You can attach files up to 10MB

If you don't have an account yet, we need to confirm you're human and not a machine trying to post spam.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac